Name: talk
Version: 0.17
Release: ipl5mdk

Summary: Talk client for one-on-one Internet chatting
Summary(ru_RU.KOI8-R):     
License: BSD
Group: Networking/Chat

Source: ftp://sunsite.unc.edu/pub/Linux/system/network/chat/netkit-ntalk-%version.tar.bz2
Source1: %name.xinetd
Patch: netkit-ntalk-0.17-glibc222.patch
Patch1: ntalk-0.17-alt-defaults.patch
Obsoletes: ntalk
Provides: ntalk

Prefix: %prefix

%package server
Group: System/Servers
Summary: %name server for the %name program
Summary(ru_RU.KOI8-R):    
Requires: xinetd
PreReq: shadow-utils
Obsoletes: ntalk

%description
The %name package provides client and daemon programs for the
Internet %name protocol, which allows you to chat with other users
on different systems.  Talk is a communication program which copies
lines from one terminal to the terminal of another user.

Install %name if you'd like to use %name for chatting with users on
different systems.

%description -l ru_RU.KOI8-R
 talk       
talk,         
  . Talk -   ,  
     .

  ,      
    .

%description server
This is the %name server.
You will need this if you intend to host a %name server on your system.

%description -l ru_RU.KOI8-R server
    %name.
         -   .

%prep
%setup -q -n netkit-ntalk-%version
%patch -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%_mandir/man{1,8}}

%make_install install INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%_mandir
ln -snf in.ntalkd.8 $RPM_BUILD_ROOT%_mandir/man8/talkd.8
install -p -m640 -D %SOURCE1 $RPM_BUILD_ROOT/etc/xinetd.d/ntalk

chmod 711 $RPM_BUILD_ROOT%_sbindir/*

%post server
/usr/sbin/useradd -r -g tty -d / -s /dev/null -n %name &>/dev/null ||:

%files
%_bindir/*
%_mandir/man1/*
%doc README BUGS ChangeLog

%files server
%_sbindir/*
%_mandir/man8/*
%config(noreplace) %_sysconfdir/xinetd.d/*
%doc README BUGS ChangeLog

%changelog
* Tue Oct 15 2002 Rider <rider@altlinux.ru> 0.17-ipl5mdk
- patch for default hostname on talk client
- russian summary and description

* Fri Sep 27 2002 Rider <rider@altlinux.ru> 0.17-ipl4mdk
- rebuild

* Sat Mar 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.17-ipl3mdk
- Fixed build with glibc-2.2.2.

* Fri Oct 13 2000 Dmitry V. Levin <ldv@fandra.org> 0.17-ipl2mdk
- Updated xinet support.

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 0.17-ipl1mdk
- 0.17
- Dropped inetd support, rewritten xinetd support.

* Wed Sep 28 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to multi-homed 0.11 version.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
